import { ComponentFactoryResolver, ElementRef, EventEmitter, OnDestroy, TemplateRef, ViewContainerRef } from "@angular/core";
import { BaseFileUploadComponent } from "./components/base-file-upload.component";
import { CoDocument } from "@colijnit/mainapi/build/model/co-document.bo";
import { TagTreeItem } from "@colijnit/mainapi/build/model/tag-tree-item.bo";
import { SharedComponentsDictionaryService } from '../../translation/shared-components-dictionary.service';
export declare class FilesUploadComponent extends BaseFileUploadComponent implements OnDestroy {
    protected _container: ViewContainerRef;
    protected _factory: ComponentFactoryResolver;
    set dropzone(value: boolean);
    slideoutTemplate: TemplateRef<any>;
    input: ElementRef;
    label: string;
    cfgNames: any;
    customImageClick: boolean;
    isEditable: boolean;
    hideAvatars: boolean;
    fileSavesOnPopupOkClick: string;
    selected: string;
    readonly editSlideoutSubmit: EventEmitter<void>;
    tagsChangeEvent: EventEmitter<TagTreeItem[]>;
    imageClick: EventEmitter<CoDocument>;
    showClass(): boolean;
    get editable(): boolean;
    get empty(): boolean;
    mouseOverAdd: boolean;
    slideoutShown: boolean;
    isDropzone: boolean;
    constructor(dictionaryService: SharedComponentsDictionaryService, _container: ViewContainerRef, _factory: ComponentFactoryResolver);
    ngOnDestroy(): void;
    openFileBrowser(): Promise<void>;
    handleAddClick(): void;
}
